Notifly
API ReferenceEnvironments

Publish resources to target environment

Publishes all workflows and resources from the source environment to the target environment. Optionally specify specific resources to publish or use dryRun mode to preview changes.

POST
/v2/environments/{targetEnvironmentId}/publish

Publishes all workflows and resources from the source environment to the target environment. Optionally specify specific resources to publish or use dryRun mode to preview changes.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

targetEnvironmentId*string

Target environment ID (MongoDB ObjectId) to publish resources to

Request Body

application/json

Publish request configuration

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/environments/6615943e7ace93b0540ae377/publish" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "results": [      {        "resourceType": "REGULAR",        "successful": [          {            "resourceType": "REGULAR",            "resourceId": "string",            "resourceName": "string",            "action": "created"          }        ],        "failed": [          {            "resourceType": "REGULAR",            "resourceId": "string",            "resourceName": "string",            "error": "string",            "stack": "string"          }        ],        "skipped": [          {            "resourceType": "REGULAR",            "resourceId": "string",            "resourceName": "string",            "reason": "string"          }        ],        "totalProcessed": 0      }    ],    "summary": {      "resources": 0,      "successful": 0,      "failed": 0,      "skipped": 0    }  }}